Name:          slick-ibxm
Version:       0
Release:       %mkrel 1
Summary:       IBXM OpenAL Based Java Player Library
Group:         Development/Java
License:       BSD
Url:           http://slick.cokeandcode.com/
# http://bob.newdawnsoftware.com/~kevin/asdsrc/src/sound/ibxm/*
Source0:       ibxm-unknown-src.tar.gz
Source1:       http://b2s-repo.googlecode.com/svn/trunk/mvn-repo/ibxm/ibxm/unknown/ibxm-unknown.pom

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: lwjgl
Requires:      lwjgl
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
IBXM OpenAL Based Java Player Library.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n ibxm-unknown

chmod -R go=u-w *
mkdir -p src target/{apidocs,classes}
mv ibxm src/

%build

%{javac} \
  -d target/classes \
  -classpath target/classes:$(build-classpath lwjgl) \
  -target 1.5 -source 1.5 \
  $(find src -type f -name "*.java")

cd target/classes
%{jar} cf ../%{name}.jar *
cd ../..

%{javadoc} \
  -d target/apidocs \
  -classpath target/classes:$(build-classpath lwjgl) \
  -use -version -author -breakiterator -source 1.5 -quiet \
  -encoding iso-8859-1 \
  -windowtitle "%summary %{version} API" \
  -header "%summary %{version}" \
  $(find src -type f -name "*.java")

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pR target/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Nov 01 2011 gil <gil> 0-1.mga2
+ Revision: 160717
- edit spec file
- imported package slick-ibxm

